microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete memories by scope
POST
/memory_stores/{name}:delete_scope
Deletes all memories in the specified memory store that are associated with the provided scope.
标头参数
Foundry-Features
enum
必需
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
路径参数
name
string
必需
The name of the memory store.
查询参数
api-version
string
必需
The API version to use for this operation.
请求正文
Content-Type: application/json
scope
string
必需
The namespace that logically groups and isolates memories to delete, such as a user ID.
响应
The request has succeeded.
正文
Content-Type: application/json
object
enum
必需
The object type. Always 'memory_store.scope.deleted'.
memory_store.scope.deleted
name
string
必需
The name of the memory store.
scope
string
必需
The scope from which memories were deleted.
deleted
boolean
必需
Whether the deletion operation was successful.
请求
POST /memory_stores/{name}:delete_scope HTTP/1.1
响应
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json